
Redmine - Defect #5639

"Watching" a ticket doesn't update ticket

2010-06-03 00:09 - James Turnbull

Status: Closed Start date: 2010-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

This is how my workflow works generally:

see interesting bug via mail

open bug link

click watch

go to update bug

"the bug has been updated by someone" error

The problem appears to be that when you hit 'watch', it doesn't refresh the page, so when you hit an update, it considers the watch

change to have happened behind your back.

History

#1 - 2010-06-03 01:05 - Felix Schäfer

Mmh, I think I've been doing what you are describing for a long time without having any problem. Trying just now, if you can read this, I wasn't able to

reproduce here :-)

Some more detail about your setup? (see SubmittingBugs)

#2 - 2010-06-03 01:09 - James Turnbull

A user downstream reported it us.  We're using Redmine trunk - pretty close to HEAD.

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Environment               production

Database adapter          mysql

Database schema version   20100429224143

About your Redmine plugins

Redmine Vote plugin        0.0.2

Google Analytics plugin    0.1.0

Markdown Extra formatter   0.0.2

Bots filter                1.02

Redmine Simple Support     0.1.0

Redmine Hudson plugin      1.0.1.1

Markdown formatter         0.0.1

#3 - 2010-06-03 01:17 - Felix Schäfer

Just tried with JS off to see if that could be the cause of the problem, but that doesn't cause the error you mentioned.

Can your user reproduce it, and if yes, could you capture the log snippet pertaining to that?

#4 - 2010-06-19 23:23 - Felix Schäfer

James, have you eben able to reproduce this in any menaningful way, or to find some error log or trace?
#5 - 2010-06-19 23:27 - James Turnbull

- Status changed from New to Resolved

I can't replicate this. I suspect it's a browser issue. Closing.

#6 - 2010-06-19 23:37 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce

Thanks for the feedback!
